#
# spec file for package minisign
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           minisign
Version:        0.12
Release:        1.3
License:        ISC
Summary:        A dead simple tool to sign files and verify signatures
URL:            https://jedisct1.github.io/minisign/
Group:          Productivity/Networking/Security
Source0:        https://github.com/jedisct1/minisign/archive/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(libsodium)

%description
Minisign is a dead simple tool to sign files and verify signatures.

It is portable, lightweight, and uses the highly secure Ed25519 public-key signature system.

%prep
%autosetup

%build
%cmake -DCMAKE_STRIP:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Sat Feb  1 2025 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.12
  * Libsodium is now an optional dependency. When using the Zig
    toolchain to compile Minisign, you can specify the
  - Dwithout-libsodium flag to build and run without libsodium.
  * Key identifiers are now zero-padded when printed.
* Mon Jul 22 2024 Joshua Smith <smolsheep@opensuse.org>
- Cleanup spec file
  * Add missing %%license to packaging
  * Remove %%debug_package
* Sat Jul 20 2024 Joshua Smith <smolsheep@opensuse.org>
- Switch from deprecated %%setup to %%autosetup
- Use %%cmake_build
- Update to version 0.11
  * For non-interactive usage (CI/CD, etc), encryption of private
    keys can be disabled with the -W switch.
  * A new command, -C was added to change passwords, or remove them
    (when combined with -W).
- Updates from version 0.10
  * Prehashing is now enabled by default, regardless of the input
    size. Support for non-prehashed signatures will eventually be
    removed
  * Legacy signatures can be rejected with the addition of the -H
    flag
* Mon Sep 21 2020 Cristian Rodríguez <crrodriguez@opensuse.org>
- Fix debuginfo generation (set CMAKE_STRIP to false)
- Update to version 0.9
  * New option: -R to recover the public key from a secret key.
  * Error messages have been improved.
  * Key derivation is now possible on devices with limited memory.
* Fri Jul 19 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- clean up spec file
* Sat Jun  1 2019 AxelKoellhofer@web.de - 0.8
- added upstream.patch
  * Add the "-R" option (re-create pubkey from secret key)
* Sat Feb  3 2018 AxelKoellhofer@web.de - 0.8
- updated to 0.8
  * Multiple files can now be signed at once
  * Support for HaikuOS was added
  * The command-line switch to use custom file names when generating
    key pairs didn't work properly; this has been fixed
* Sat Apr  1 2017 AxelKoellhofer@web.de - 0.7
- initial package, version 0.7
